Bug 10975 - [PATCH] Sviewer additional functionality
Summary: [PATCH] Sviewer additional functionality
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-dev
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-19 06:48 UTC by Jason Height
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Patch to existing source files (14.92 KB, patch)
2002-07-19 06:49 UTC, Jason Height
Details | Diff
new file (7.98 KB, text/plain)
2002-07-19 06:50 UTC, Jason Height
Details
new file (9.05 KB, text/plain)
2002-07-19 06:50 UTC, Jason Height
Details
new file (4.91 KB, text/plain)
2002-07-19 06:50 UTC, Jason Height
Details
new file (4.63 KB, text/plain)
2002-07-19 06:51 UTC, Jason Height
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Height 2002-07-19 06:48:07 UTC
This patch and additional files make the following changes to the viewer:

1) Row Header (ie row numbering)
2) Row Height now works. Ie can render different row heights as per the excel 
file
3) Column Widths now works. Ie can render different column widths.
4) Started to add editing functionality. But then added the above, so although 
the beginnings of editing is there it wont change the excel file.
5) Started to add the SVFractionalFormat. At the moment the formatter will 
return 1/1 rather than the correct fraction. The algorithm to produce the 
fraction has not been followed correctly ;-) I will fix this later.
6) Im not sure what else but there probably is more things

Jason Height
Comment 1 Jason Height 2002-07-19 06:49:21 UTC
Created attachment 2405 [details]
Patch to existing source files
Comment 2 Jason Height 2002-07-19 06:50:02 UTC
Created attachment 2406 [details]
new file
Comment 3 Jason Height 2002-07-19 06:50:27 UTC
Created attachment 2407 [details]
new file
Comment 4 Jason Height 2002-07-19 06:50:46 UTC
Created attachment 2408 [details]
new file
Comment 5 Jason Height 2002-07-19 06:51:05 UTC
Created attachment 2409 [details]
new file
Comment 6 Glen Stampoultzis 2002-07-20 11:35:35 UTC
Applied...  Thanks.